<article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>

	<header class="entry-header">
			<h1><a href="<?php the_permalink(); ?>" title="<?php the_title(); ?>" rel="bookmark"><?php the_title(); ?></a></h1>
            <p><?php printf( __( 'by', 'neni' )); ?> <?php the_author(); ?>  <?php printf( __( 'on', 'neni' )); ?> <?php echo get_the_date(); ?></p>
	</header><!-- END .entry-header -->
        
	<div class="entry-content">
		<?php if ( is_archive() || is_search() ) : ?>
			<?php the_excerpt(); ?>			
		<?php else : ?>
			<?php the_content( __( '(more &rarr;)', 'neni' ) ); ?>
			<?php wp_link_pages( array( 'before' => '<div class="page-link">' . __( 'Pages:', 'neni' ), 'after' => '</div>' )		 ); ?>
		</div><!-- END .entry-content -->

		<?php endif; ?>
		<div class="clear"></div>
		<footer class="entry-meta">
			<p>
				<?php if ( count( get_the_category() ) ) : ?>
				<?php printf( __( 'Categories: %2$s', 'neni' ), 'entry-utility-prep entry-utility-prep-cat-links', get_the_category_list( ', ' ) ); ?> | 
				<?php endif; ?>
				<?php $tags_list = get_the_tag_list( '', ', ' ); 
				if ( $tags_list ): ?>
					<?php printf( __( 'Tags: %2$s', 'neni' ), 'entry-utility-prep entry-utility-prep-tag-links', $tags_list ); ?> | 
				<?php endif; ?>
	    
                <?php printf( __( 'Share on:', 'neni' ) )?> 
				
                <!-- get clean titles -->
                <?php
					ob_start();
					the_title_attribute();
					$title = ob_get_clean();
				?>                
    	        <!--Twitter -->
        	    <a href="http://twitter.com/home?status=Currently%20reading:<?php echo urlencode(the_title_attribute('echo=0')); ?>%20<?php echo urlencode( get_permalink( $post->ID ) ); ?>" target="_blank"> <?php printf( __( 'Twitter', 'neni' ) )?></a>, 
            	<!--Facebook-->
	            <a href="https://www.facebook.com/share.php?u=<?php echo urlencode( get_permalink( $post->ID ) ); ?>&amp;t=<?php echo urlencode (the_title_attribute('echo=0')); ?>" target="_blank"><?php printf( __( 'Facebook', 'neni' ) )?></a>, 
    	        <!--Delicious -->
        	    <a href="http://del.icio.us/post?v=4;url=<?php echo urlencode( get_permalink( $post->ID ) ); ?>" target="_blank"><?php printf( __( 'Delicious', 'neni' ) )?></a> |
                <!--Permalink-->
       			<a href="<?php echo get_permalink(); ?>"><?php _e( 'Permalink ', 'neni' ); ?></a>
				<!--Admin Edit-->
				<?php edit_post_link( __( 'Edit &rarr;', 'neni' ), '| <span class="edit-link">', '</span>' ); ?> 
            </p>					                 
	</footer>
</article>
